<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Fusion Shop System
| Author: Comy (Dennis Vorpahl)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

include "../../../maincore.php";
include INFUSIONS."fusion_shop_panel/infusion_db.php";


$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_SESSION." (
      id varchar(50) NOT NULL default '',
	  datum varchar(30) NOT NULL default '',
	  PRIMARY KEY  (id)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_WARENKORB." (
	  id int(11) NOT NULL auto_increment,
	  nr varchar(50) NOT NULL default '',
	  session VARCHAR (60) NOT NULL default '0',
	  artikelnummer varchar(50) NOT NULL default '0',
	  name varchar(100) NOT NULL default '0',
	  menge int(10) NOT NULL default '0',
	  preis  decimal(12,2) unsigned NOT NULL default '0.00',
	  preis_brutto  decimal(12,2) unsigned NOT NULL default '0.00',
	  preis_handel  decimal(12,2) unsigned NOT NULL default '0.00',
	  variante1 varchar(255) NOT NULL default '0',
	  variante2 varchar(255) NOT NULL default '0',
	  PRIMARY KEY  (id)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_UNTERGRUPPEN." (
	  id int(11) NOT NULL auto_increment,
	  main_kat varchar(11) NOT NULL default '',
	  anzeige varchar(5) NOT NULL default '',
	  name varchar(50) NOT NULL default '',
	  beschreibung TEXT,
	  image VARCHAR (255) NOT NULL default '',
	  image_link VARCHAR (255) NOT NULL default '',
	  PRIMARY KEY  (id)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_HAUPTGRUPPEN." (
	  id int (11) NOT NULL auto_increment,
	  anzeige varchar (15) NOT NULL default '',
	  name varchar (50) NOT NULL default '',
	  beschreibung TEXT,
	  image VARCHAR (255) NOT NULL default '',
	  image_link VARCHAR (255)  NOT NULL default '',
	  theme VARCHAR (50) NOT NULL default 'default',
	  PRIMARY KEY  (id)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_ARTIKEL." (
	  id int(11) NOT NULL auto_increment,
	  kategorie varchar(10) NOT NULL default '1',
	  artikelnummer varchar(30) NOT NULL default '0',
	  name varchar(100)  NOT NULL default 'test',
	  beschreibung text,
	  beschreibung_kurz text,
	  preis decimal(12,2) unsigned NOT NULL default '0.00',
	  preis_brutto decimal(12,2) unsigned NOT NULL default '0.00',
	  preis_handel decimal(12,2) unsigned NOT NULL default '0.00',
	  mwst INT (2)  NOT NULL default '19',
	  bild varchar(250)  NOT NULL default '',
	  bild_thumb varchar(250) NOT NULL default '' ,
	  status varchar(5)  NOT NULL default '1',
	  variante1 varchar(255)  NOT NULL default '',
	  variante2 varchar(255) NOT NULL default '',
	  gewicht VARCHAR (10) NOT NULL default '',
	  lieferzeit VARCHAR (255) NOT NULL DEFAULT '7',
	  vpe INT (10)  NOT NULL default '1',
	  ean VARCHAR (50) NOT NULL default '',
	  startseite INT (5) NOT NULL default '1',
	  bestellt INT (6) NOT NULL default '0',
	  download VARCHAR (255) NOT NULL default '',
	  bewertung INT (5) NOT NULL default '0',
	  kommentare INT (5) NOT NULL default '0',
	  PRIMARY KEY  (id)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_ZAHLARTEN." (
	  zahlartenid int(11) NOT NULL auto_increment,
	  art varchar(50) NOT NULL default '',
	  beschreibung mediumtext,
	  art_kosten varchar(30) NOT NULL default '',
	  PRIMARY KEY  (zahlartenid)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_BESTELLUNGEN." (
	  nr int(11) NOT NULL auto_increment,
	  kunden_id INT (11) NOT NULL default '0',
	  datum varchar(50) NOT NULL default '00.00.00',
	  anrede VARCHAR (255) NOT NULL default '',
	  vorname VARCHAR (50) NOT NULL default '',
	  name varchar(50)  NOT NULL default '',
	  firma VARCHAR (50) NOT NULL default '',
	  email varchar(50)  NOT NULL default '',
	  telefon varchar(50)  NOT NULL default '',
	  fax VARCHAR (50) NOT NULL default '',
	  mobil VARCHAR (50) NOT NULL default '',
	  r_adresse varchar(200)  NOT NULL default '',
	  l_adresse varchar(200)  NOT NULL default '',
	  produkte text,
	  ip VARCHAR (200) NOT NULL default '',
	  datum_zahlung varchar(50) NOT NULL default '',
	  datum_rechnung varchar(50) NOT NULL default '',
	  datum_versand varchar(50) NOT NULL default '',
	  datum_mahnung varchar(50) NOT NULL default '',
	  zahlungsart VARCHAR (250) NOT NULL default '',
	  versandart VARCHAR (250) NOT NULL default '',
	  paketnummer VARCHAR (250) NOT NULL default '',
	  kunden_bemerkung TEXT,
	  shop_bemerkung TEXT,
	  preis  decimal(12,2) unsigned NOT NULL default '0.00',
	  preis_handel decimal(12,2) unsigned NOT NULL default '0.00',
	  preis_brutto decimal(12,2) unsigned NOT NULL default '0.00',
	  PRIMARY KEY  (nr)
	) TYPE=MyISAM");


$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_VERSANDARTEN." (
	  versandartenid int(11) NOT NULL auto_increment,
	  art varchar(50) NOT NULL default '',
	  beschreibung mediumtext,
	  art_kosten varchar(30) NOT NULL default '',
	  PRIMARY KEY  (versandartenid)
	) TYPE=MyISAM");

$inf_newtable = dbquery("CREATE TABLE ".DB_SHOP_SETTINGS." (
	  shopmail varchar(250) NOT NULL default '',
	  shopwartung INT (5) NOT NULL default '1',
	  wartungtext TEXT,
	  agb TEXT,
	  widerruf TEXT,
	  verpackung TEXT,
	  firma VARCHAR (250) NOT NULL default'',
	  logo VARCHAR (250),
	  status_green VARCHAR (250),
	  status_yellow VARCHAR (250),
	  status_red VARCHAR (250),
	  status_yellow_ab INT (5) NOT NULL default '5',
	  status_red_ab INT (5)  NOT NULL default '1',
	  mailheader TEXT,
	  mailfooter TEXT,
	  mail_bestaetigung TEXT,
	  mail_versand TEXT,
	  mail_zahlung TEXT,
	  mail_rechnung TEXT,
	  mail_mahnung TEXT,
	  currency VARCHAR (5) NOT NULL default'',
	  variante1_name VARCHAR (20),
	  variante2_name VARCHAR (20),
	  name VARCHAR (250),
	  anschrift TEXT,
	  bankname VARCHAR (250),
	  blz INT (10),
	  konto INT (20),
	  paypal VARCHAR (250),
	  ust_id VARCHAR (40),
	  cat_desc INT (4) NOT NULL default '1',
	  datenschutz TEXT,
	  impressum TEXT,
	  versand_text TEXT,
	  startseite_header VARCHAR (250) NOT NULL default '',
	  startseite TEXT,
	  kleingewerbe SMALLINT (1) NOT NULL default '1'
	) TYPE=MyISAM");

$inf_newtable = dbquery("INSERT INTO ".DB_SHOP_SETTINGS." (shopmail, shopwartung, wartungtext, agb, widerruf, verpackung, firma, logo, status_green, status_yellow, status_red, mailheader, mailfooter, mail_bestaetigung, mail_versand, mail_zahlung, mail_rechnung, mail_mahnung, currency, variante1_name, variante2_name, name, anschrift, bankname, blz, konto, paypal, ust_id, cat_desc, datenschutz, impressum, versand_text, startseite_header, startseite ) VALUES ('".$settings['siteemail']."', '1', 'Unser Shop wird zur Zeit gewartet!<br /> Bitte versuchen Sie es in wenigen Augenblicken noch einmal!', '<h1>Unsere Allgemeinen Geschäftsbedingungen</h1>', '<h1>Unsere Widerrufsbelehrung</h1>', '<h1>Unsere Hinweise zur Verpackungsverordnung</h1>', 'Hanswurst GBR', '".$settings['sitebanner']."', 'Die Lieferzeit beträgt 7 Tage', 'Die Lieferzeit beträgt 14 Tage', 'Zur Zeit nicht Lieferbar', '', 'MfG\r\nFirma XYZ\r\n--\r\nInternet: http://www.test.de\r\ne-mail: test@test.de', 'Vielen Dank für Ihren Auftrag!\r\n\r\nIhre Bestellung wurde erfolgreich bei uns gespeichert.\r\nIm folgenden erhalten Sie nochmal eine genaue Auflistung\r\naller von Ihnen bestellter Artikel. Bei Fragen oder\r\nProblemen können Sie direkt auf diese E-Mail antworten.', 'Ihre Bestellung wurde soeben versendet', 'Wir haben soeben Ihren Zahlungseingang verbucht', 'Rechnung', 'Mahnung', 'EUR', 'Größe', 'Farbe', 'Mein Name und Vorname', 'meine Anschrift<br /> es darf gerne HTML verwendet werden!', 'meine Bank', '12312312', '12356', 'meine PayPal Adresse', 'Meine UmsatzsteuerID', '1', '<h1>Unsere Datenschutzerklärung</h1>', '<h1>Impressum</h1>', '<h1>Versandkosten</h1>' , 'Willkommen in Ihrem neuen Online Shop!', 'Es gibt viele Dinge, die man verkaufen. Ich hoffe Sie sind mit diesem Shopsystem auf PHP-Fusionbasis zufrieden. Sollten Sie ein Problem haben oder mit der Bedienung nicht zurecht kommen, bekommen Sie Hilfe im Forum auf <a href=\"http://www.comy.eu\" target=\"_blank\">Comy.eu</a>')");

$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_anrede varchar(50) NOT NULL default '')"); 
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_vorname varchar(50) NOT NULL default '')"); 
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_hausnummer INT (5) NOT NULL default '0')"); 
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_strasse varchar(250) NOT NULL default '')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_plz INT (5) NOT NULL default '0')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_telefon varchar(50) NOT NULL default '')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_fax  varchar(50) NOT NULL default '')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_mobil varchar(50) NOT NULL default '')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_l_hausnummer INT(5) NOT NULL default '0')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_l_strasse varchar(50) NOT NULL default '')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_l_plz INT(5) NOT NULL default '0')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_l_ort varchar(50) NOT NULL default '')");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_zahlungsmoral TEXT)");
$inf_newtable = dbquery("ALTER TABLE ".DB_USER." ADD (user_bestellungen TEXT)");

echo "Die Shopdatenbank wurde angelegt. Bitte entfernen Sie aus Sicherheitsgründen die Datei install.php!";
?>